/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

#include <stdio.h> 
 
main(argc,argv)  /* srch2 -- process byte count to message number & display */ 
int argc; 
char *argv[]; 
{ 
   FILE *fd, *fopen(); 
   long bn, ms, oms; 
   int  n, b; 
   char ln[1000]; 
   char *lp = &ln[0]; 
   int i=0; 
   int endir = 0; 
 
   if ((fd = fopen(argv[1],"r")) == NULL) {     /* DIR file */ 
      printf("srch2: can't open DIR file.\n"); 
      exit(1); 
      } 
   n = b = 0; bn = oms = ms = 0L; 
   while (scanf("%d%[^\n]",&b,lp) != EOF) { 
       bn = b; 
       if (! endir) 
       for (n=i; ms < bn; n++) { 
          oms = ms; 
            endir = (fscanf(fd,"%X",&ms) == EOF); 
            if (endir) {ms = bn+1; n=i;} 
           } 
       if (strlen(lp) > (bn - oms)) {   /* 1st line of msg, with header */ 
	   lp += 60; 
           *lp = ' '; 
         } 
	if (n==0) 
	   printf("Msg #1 %s\n",lp); 
	else 
	   printf("Msg #%d %s\n",n-1,lp); 
        lp = &ln[0];
	i=n;
	}
   fclose(fd);
 }
