/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/

editer()   /* invoke editor for various files */
{
int key;
char word[NMSIZE];

scan(word);
key=lookup(word,EDIT_SS);
switch (key)
   {
   case HELP_K:
      helper("edit");
      break;
   case PROF_K:
      editmsg("PROFILE",PROF);
      break;
   case RESUME_K:
      editmsg("RESUME",RES);
      break;
   case NULL_K:
   case SCRAT_K:
      editmsg("SCRATCHPAD",SCRATCH);
      break;
   case SET_K:
      scan(word);
      if (word[0]=='v')
         strcpy(Editor,ED_V);
      else if (word[0]=='q')
         strcpy(Editor,ED_Q);
     else if ((word[0]!='\0') && (Privilege >= 4)) {
         strcpy(Editor,word);
         strcat(Editor," ");  /* need this because of way scan() works */
         }
      else {
         if (vorq(mesg("Set editor to$verbose or quiet")))
            strcpy(Editor,ED_V);
         else
            strcpy(Editor,ED_Q);
         }
      break;
   case WORK_K:
      if (lock(mkpath(WORKF,confname,""))) {
         tout("Workfile in use.  Try again later.\n");
         break;
         }
      editmsg("WORKFILE",WORKF);
      unlock(mkpath(WORKF,confname,""));
      break;
   default:
     if (StrCmp(word,"note")==0)
        editmsg("NOTE",NOTEF);
      else
         error(BADKEY);
      break;
   }
}
