/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#include <sys/stat.h>

ck_rd_only(fp,tp)  /* check if topic text is readonly, & mark node */
FILE *fp;
struct tnode *tp;
{
      struct stat buf;

      if (fstat((fileno(fp)),&buf) == -1) {
         puts("ckrdonly: can't stat");
         tp->rdonly = YES;
         }
      else {
         if ((buf.st_mode & 020) == 0)
            tp->rdonly = YES;
         else 
            tp->rdonly = NO;
            }
      return(tp->rdonly);
}
