/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
dspla_msg(n)	/* display message number n */
int n;
{
    char fname[100];
    char mnum[10];
    char cmd[100];
    FILE *fp, *popen();

    sprintf(mnum,"%d",n);
    strcpy(fname,mkpath(MEMSPOOL,mnum,""));
#ifdef ARCH
    if (access(fname,0)) {  /* not there, try to de-archive it */
       sprintf(cmd,"cd %s; ar x March %d",MEMSPOOL,n);
       system(cmd);
       }
#endif
    printf("Memo #%d\n",n);
    if (Out == stdout) {
    sprintf(fname,"mlfilt %s",mkpath(MEMSPOOL,mnum,""));
    fflush(stdout);
    if ((fp = popen(fname,"r")) != NULL) {
       textcopy(fp,Out,MAXINT);
       pclose(fp); /* use instead of pclose so we don't have to wait */
       }
    }
    else {
       flist(mkpath(MEMSPOOL,mnum,""));
       }
}
