/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
fill_scratch(vbose,title) /* enter text into scratchpad, or edit it */
int vbose;
int title;
{
   char scrnm[50];
   int n;
   FILE *fo, *fopen();
   char *fmt(), *mkpath();
 
   strcpy(scrnm,mkpath(SCRATCH,username));
   if ((n=filesize(scrnm)) > 1) {
      tout(fmt("%d chars already in scratchpad.\n",n));
      editmsg("SCRATCHPAD",SCRATCH);
      }
   else {
      if ((fo = fopen(scrnm,"w")) == NULL) {
          puts("Can't write to scratchpad");
          return;
          }
      if (title) {
         getlin(0,"TITLE: ");
         fprintf(fo,"TITLE: %s\n",line.txt);
         flush();
         }
      tout("Enter text. End with '.<CR>'\n");
      dcat(stdin,fo,stdout,vbose);
      fclose(fo);
      }
}
