/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
int findorig(num)  /* get number of msg to which num is in-reply-to */
int num;
{
    FILE *fp, *fopen();
    char *rindex();
    char str[100];
    char mnum[10];
    int n = 0;
    char *at_here = "@xxxxxxxxxx";

    strcpy(at_here,"@");
    strcat(at_here,HERE);
    strcat(at_here,">");
    sprintf(mnum,"%d",num);
    strcpy(str,mkpath(MEMSPOOL,mnum,""));
    if ((fp = fopen(str,"r")) == NULL) {
       puts("Can't open file.");
       return(0);
       }
    while (fscanf(fp,"%s",str) != EOF) {
       if (strcmp(str,"In-Reply-To:")==0) {
            fscanf(fp,"%s",str);
            n = YES;
            break;
            }
       }
    if (n) {
       sscanf(str,"%*[^0123456789]%d",&n);
       if (strcmp(at_here,rindex(str,'@')) != 0) {
          puts("Original did not originate on COSY.");
          return(0);
          }
       return(n);
       }
   return(0);
   }
