/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
/*
char *hdrinfo[] = {"","","","","","","","","","","","","","","",
                   "","","","","","","","","","","","","","","",
                   "","","","","","","","","",""};
*/
char *hdrflds[] =
     { "return-path","received","reply-to","from","sender","resent-reply-to",
      "resent-from","resent-sender","date","resent-date","to","resent-to",
      "cc","resent-cc","bcc","resent-bcc","message-id","resent-message-id",
      "in-reply-to","references","keywords","subject","comments","encrypted",
      /* the above are the std RFC-822 fields, not incl extension and user-
       * defined.  The ones below are from EAN  */
      "reply-by","obsoletes","importance","sensitivity","expiry-date",
      "auto-forward"} ;
memo_main()    /* memo system -- similar to APL mail */
{
   char *mkpath();

   sprintf(Scratchpad,mkpath(SCRATCH,username));
   ld_baskets();
   just_read = -1;
/*
   memo_parse("");
*/
}
