/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* (MEMO Mail Subsystem)                                *
* Copyright (C) 1984, 1985, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#define IN 1
#define OUT 0
memo_parse(wd)  /* main driver for memo */
char *wd;
{
	char word[NMSIZE];
	int  key;
        char fnam[NMSIZE];
        char subj[40];
        int i, k;

		if (strlen(wd)==0)
		    scan(word);
		else {
		    strcpy(word,wd);
		    wd = "";
		    }
		key = lookup(word, MEMO_SS);
		switch (key) {
                case NUMBER_K:
                     unscan(word);
                     read_memo();
                     break;
                case NULL_K:
                     if (just_read >= LastIn) {
                         break;
                         }
		case READ_K:
		    read_memo();
		    break;
                case DEL_K:
                     while(scan(word)==NULL)
                        getlin(0,"Number? ");
                     k = atoi(word);
                     strcpy(fnam,username);
                     mrk_or_del(fnam,k,YES);
                     break;
		case TO_K:
                    for (i=0;i<40;i++)
                       subj[i] = '\0';
                    if (no_priv(1)) break; 
		    send_memo(NO,subj,0);
		    break;
                case STAT_K:
                    show_bask(IN);
                    show_bask(OUT);
                    break;
		case QUIT_K:
                    Subsys = MAIN_SS;
                    logger("QUIT","");
		    break;
                case HELP_K:
                    helper("mail");
                    break;
                case AMBIG_K:
                    error(AMBKEY);
                    lstambig(word,MEMO_SS);
                    break;
		case ERR_K:
                    if (strcmp(word,"inbask")==0) show_bask(IN);
                    else if (strcmp(word,"outbask")==0) show_bask(OUT);
                    else {
		       error(BADKEY);
		       lstambig("",MEMO_SS);
                       flush();
                       }
		    break;
                 default:
                    printf("Sorry, '%s' not yet implemented.\n",word);
                    flush();
                    break;
		} /* endswitch */
            }
