/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
/* structure definitions etc. for RFC-822 headers */
 
struct rfc_hdr {
   char *rtn_pth,
        *rcvd,
        *rply_to,
        *from,
        *sndr,
        *rsnt_rply_to,
        *rsnt_from,
        *date,
        *rsnt_date,
        *to,
        *rsnt_to,
        *cc,
        *rsnt_cc,
        *bcc,
        *rsnt_bcc,
        *msg_id,
        *rsnt_msg_id,
        *in_rply_to,
        *refs,
        *kywds,
        *subj,
        *comm,
        *encryp,
   /* the following aren't RFC-822, but EAN */
        *rply_by,
        *obsol,
        *import,
        *senstv,
        *exp_date;
   }
