/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
char *mesg(str)   /* return verbose or terse message */
char *str;
{
   char *cp, *strcpy();
   static char buf[100];
#ifdef WIERD
   static char buf2[100];
#endif

   strcpy(buf,str);
   for (cp = buf; *cp; cp++) 
      switch (*cp) {
         case '@': if (Terse)
			*cp = 0;
		   else
			*cp = ' ';
		   break;
        case '|': if (Terse == 0) {
#ifdef WIERD
                        strcpy(buf2,++cp);
                        return(buf2);
#else
			return(++cp);
#endif
 	                }
		   *cp = 0;
		   break;
         case '$': if (Terse) {
                      cp++;
                      if (isalpha(*cp)) *cp &= 0137;
#ifdef WIERD
                      strcpy(buf2,cp);
                      return(buf2);
#else
                      return(cp);
#endif
                      }
                   *cp = ' ';
                   break;
	}
    return(buf);
}
 
char *clip(str)
char *str;
{
#ifdef WIERD
  char buf[100];   /* why does BSD seem to need this? */
  
      strcpy(buf,mesg(str));
      return(buf);
#else
  return (mesg(str));
#endif
}
