/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
lstambig(wd,sys)  /* list ambiguous word choices */
char *wd;
ushort sys;
{
     tout(mesg("Choices are: "));
     lstwrds(wd,sys,Vocab);
     tout("\n");
}

lstwrds(wd,sys,vp)  /* list words recursivly in vp */
char *wd;
ushort sys;
struct wdtbl *vp;
{
    if (vp != NULL) {
       lstwrds(wd,sys,vp->left);
       if ((StrCmp(wd,vp->wrd)==0) && ((sys & vp->ss) != 0) &&
           (strcmp(vp->wrd,"??") != 0))
          {
          if (strlen(vp->wrd) >= (LinWidth - ColCnt))
             tout("\n");
          tout(vp->wrd); tout(", ");
          }
       lstwrds(wd,sys,vp->right);
       }
}
