/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/* rdhdr.h */

/* structure for info in message headers, returned by read_hdr */

struct hdrinfo {
   long  msg_size;    /* length of text part */
   int   msg_cmnt;    /* comment to this msg */
   int   msg_othrcm;  /* additional comments to one this points */
   int   msg_orig;    /* original message this is comment to */
   time_t msg_tstamp;  /* date and time message added */
   char  msg_flagch;   /* deleted, etc flag */
   char  msg_auth[15];    /* author of message */
  };
