/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/***************************************************************
*  COSY (tm) Computer-Based Conferencing System                *
* Written by: Alastair J.W. Mayer                              *
***************************************************************/
show_grps()   /*  show group of conferences list - quick'n'dirty version */
{
   char fname[40];
   char name[NMSIZE];

   scan(name);
   if (strlen(name)==0) {
      if (flist(GRPLIST)) {
         tout("No group structure.\n");
         }
      }
   else {
      strcpy(fname,GRPNAME);
      strcat(fname,name);
      if (flist(fname)) {
         tout(fmt("No group '%s'.\n",name));
         }
      else
         tout("(o=open, c=closed)\n");
      }
}
