/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/* show option settings - Alastair Mayer,  Feb '86 */

show_opt() /* list option settings */
{
    char *yesno[2];

    yesno[NO] = "NO";
    yesno[YES] = "YES";
    tout("Terse/Vbose: ");
    if (Terse)
       tout("TERSE\n");
    else
       tout("VERBOSE\n");
    tout("Terminal settings:\n");
    tout(fmt("    Width:   %d\n",LinWidth));
    tout(fmt("    Length:  %d\n",PageLen));
    tout(fmt("Ctrl Filter: %s\n",yesno[Filter]));
    tout(fmt("NAPLPS PDIs: %s\n",yesno[Naplps]));
    tout(fmt("Upload:      %s\n",Up_Prtcl));
    tout(fmt("Download:    %s\n",Dn_Prtcl));
    tout(fmt("Editor:      %s\n",Editor));
}
