/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
/*
 * COSY Conference System 
 * Author:  Alastair Mayer
 *
 * This routine accesses the user data base files.  If these are not
 * installed, use the previous "list_part" function.
 */
list_part(wd)  /* updated show particpants -- access UDB */
char *wd;
{
   char *mkpath();
   char *ulp;
   char name[NMSIZE], cname[NMSIZE];
   int key, cont = YES;
/*   struct user_blk *ub, *getubnam(); */
   struct cnode * cfind();
   FILE *fp, *fopen();

   if (strlen(wd)>0)
      strcpy(cname,wd);
   else
      scan(cname);
   if ((key = lookup(cname,SHOW_SS)) == NULL_K) {
      if (confnode == NULL)
         key = ALL_K;
      else
         ulp = mkpath(MEMBR,confname);
      }
   else if (key != ALL_K && cfind(cname) == NULL) {
          tout(fmt(clip("You are$not a member of '%s'\n"),cname));
          return;
          }
      else
         ulp = mkpath(MEMBR,cname);
   if (key == ALL_K) {
      flist(mkpath(ULIST));
      }
   else {
#ifdef UDB_OK
      if ((fp = fopen(ulp,"r")) == NULL) {
         tout("Can't access file.\n");
         return;
         }
      while (fscanf(fp,"%s",name) != EOF && cont) {
         ub = getubnam(name);
         cont = tout(fmt("%-10s %s\n",name,ub->U_fullname));
         }
      fclose(fp);
#else
      flist(ulp);
#endif
     }
 }
