/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
void timeout(int sig)        /* called if input times out */
{
 extern jmp_buf Env;
 int goodbye();
 char c;
 
 puts(mesg("\007Are you there? ")); fflush(stdout);
 alarm(120);
 while ((c=getchar()) != '\n') 
   { /* nothing */ };
 longjmp(Env,0);  /* Env set in getlin */
}

goodbye()  /* goodbye from timeout */
{
 printf("%c \n",07);
 logger("TIMEOUT","");
 hi_bye(BYE_K);
 exit(0);
}
