/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/* demon to cleanup leftover /tmp/CU files */

#include <sys/types.h>
#include <sys/dir.h>
#include <stdio.h>
#include <fcntl.h>

main()
{
    int fd;
    FILE *fp, *fopen();
    struct direct dirbuf;
    char path[30];
    int pid;
    int dbufsiz = sizeof dirbuf;
    

    while (1) {
       if (chdir("/tmp/CU")) exit(0);   /* die if directory gone */
       if ((fd=open(".",O_RDONLY)) == -1) exit(0);
       if (lseek(fd,(long)2*dbufsiz, 0) == -1) exit (0);  /* skip . and .. */
       while (read(fd, &dirbuf, dbufsiz) == dbufsiz) {       /* loop thru names */
          strcpy(path,"/tmp/CU/");
          strcat(path,dirbuf.d_name);
          if ((fp = fopen(path,"r")) != NULL) {
             fscanf(fp,"%d",&pid);
             if ((pid > 0) && (kill(pid,0) == -1))   /* process gone */
                unlink(path);
             fclose(fp);
             }
          }
       /* passed thru /tmp/CU once, wait before doing it again */
       close(fd);
       sleep(300);
       }
}
