/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
/*   prompts with suffix and gets a line from the user to see if answer was
*    v (returns 1), q (returns 0), .
*    If cr is done, prompts again.
*/
vorq( promptprefix )

char      *promptprefix ;

{
     char line[ BUFSIZ ] ;
     char *chp ;

     char *fgets() ;

     while (1)
     {
          printf("%s (v/q)? ", promptprefix ) ;
          fgets( line, BUFSIZ, stdin ) ;
          for( chp = line ; *chp == '\t'|| *chp == ' '; chp++ ) ;
               if( *chp == '\0')
               {
                    fprintf( stderr, "Input line too long\n" );
                    exit( 1 ) ;
               }
          switch ( *chp ) {
          case 'q':
          case 'Q':
               return( 0 ) ;
               break ;
          case 'v':
          case 'V':
               return( 1 ) ;
          case '\n':
               continue ;
          default:
               printf("A 'verbose' or 'quiet' was expected.\n" ) ;
               continue ;
          }
     }
}
 
