/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
send_mail() /* create & send new mail */
{
   mail_new();
   fill_scratch((strcmp(ED_V,Editor)==0),NO);
   add_parse(0);
   cc_to();
}

mail_new()  /* create new mail 'conference' */
 {
 char cname[NMSIZE];
 char *fname;
 char *mkpath();
 FILE *fp, *fopen();
 long clock,time();    /* used for creation date */
 char msg[100];

#ifdef DEBUG
 puts(" Originate NEW MAIL");
#endif
 newmailno(cname);
 makedir(mkpath(CNODE,cname),"");
/* now create topic list */
 fp = fopen(mkpath(HDR,cname),"w");
#ifdef DEBUG
 printf("moderator=%s.\n",username);
#endif
 fprintf(fp,"%s\n",username);
 clock=time(0);
 fprintf(fp,"%ld\n",clock);
/* -- create topic 'message' -- */
 fputs("message\n",fp);
 makedir(mkpath(TNODE,cname,"message"),"");
/* -- */
 fclose(fp);
 /* now register self */
 add_list(Mt,cname);
 joined_flag = ON;
 confnode = Mt->ct_last;
 StrCpy(cname,confname);
 topicnode = confnode->first;
 if (topicnode != NULL)
    StrCpy(topicnode->name,topicname);
 /* and add initial users */
 if ((fp = fopen(mkpath(MEMBR,cname),"w")) == NULL)
    puts(mesg("Can't register members."));
 else {
    fprintf(fp,"%s \n",username);   /* make self 1st member */
    printf(mesg("Enter list of addressee names "));
    rgst_users(confnode,fp);
    fclose(fp);
    }
 }

newmailno(cp)  /* create new mail no (look for last one) */
char *cp;
{
  char *nam, *mkpath();
  int mno;
  FILE *fp, *fopen();

  nam = mkpath(SYSTM);
/******** critical section *************/
  lock(nam);
  if ((fp = fopen(nam,"r+")) == NULL) {
     unlock(nam);
     return;
     }
  else {
     fscanf(fp,"%d",&mno);
     mno++;
     rewind(fp);
     sprintf(cp,"%d",mno);
     fprintf(fp,"%d\n",mno);
     fclose(fp);
     }
   unlock(nam);
/********** end critical section **********/
#ifdef DEBUG
  printf(" New mail msg no= '%s'",cp);
#endif
   return;
}
