/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* (MEMO Mail Subsystem)                                *
* Copyright (C) 1984, 1985, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#ifndef SYS_TYPES
#include <sys/types.h>
#define SYS_TYPES 1
#endif
#include <ctype.h>
#include <stdio.h>
struct memhdr /* structure for basket entries */
{
     char  to_nm[NMSIZE];
     char  fr_nm[NMSIZE];
     int   nmbr;
     time_t sent;
    short flags;
};
#define M_READ 040
#define M_FWRD 020
#define M_RONLY 010
#define M_URGT 004
#define M_CONF 002
#define MAXINT 017777777777
#define EOS '\0'
#define NL  '\n'

#define CC_K 91
#define FROM_K 92
#define SUBJ_K 93
#define SET_K 84
#define TABMAX 42
#define BSIZE 50  /* in-out basket size */
#define MAXHDR 40  /* number of different header fields */

#define BSKSIZ 72
#ifdef UNIX_IDS
#define BASKFMT "%-8s %5d   %s"
#define INBASKHDR "From      Memo * Date\n"
#define OUTBASKHDR "To        Memo * Date\n"
#else
#define BASKFMT "%-14s %5d   %s"
#define INBASKHDR "From            Memo * Date\n"
#define OUTBASKHDR "To              Memo * Date\n"
#endif

