/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/** string indexing functions - apparently not avail. in System V **/
/**  -- Alastair Mayer                                            **/

char * index(str,c)  /* return pointer to position of 'c' in "str", or 0 */
char *str;
char c;
{
   while (*str && *str != c)
      str++;
   if (*str) 
      return(str);
   else
      return(0);
}

char * rindex(str,c) /* return ptr to righmost posn of 'c' in "str" */
char str[];
char c;
{
   int l;

   l = strlen(str);
   while (l-- && str[l] != c)
      ; /*loop*/
   if (l<0)
      return(0);
   else
      return(&str[l]);
}
