/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* (MEMO Mail Subsystem)                                *
* Copyright (C) 1984, 1985, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
updt_bask(name,fromwho,mnumbr,in,sbj)   /* put something in 'name's In-Basket */
char *name;
char *fromwho;
int mnumbr, in;
char *sbj;
{
   time_t time();
   int f1;
   int i;
   char strg[80];
   char strg2[80];
   char *tymestamp();
   char shorttime[40];
   char *mkpath();

#ifdef DEBUG
 puts("updbask called");
 fflush(stdout);
#endif
 strcpy(shorttime,tymestamp());
#ifdef UNIX_IDS
 for (i=16; i<=22; ++i)
    shorttime[i] = shorttime[i+3];
 shorttime[21] = '.';
#else
 shorttime[16]='\0';
#endif
 if (in) {
   sprintf(strg2,BASKFMT,fromwho,mnumbr,shorttime);
   strcpy(strg,mkpath(MEM_IN,name));
   }
 else {
   sprintf(strg2,BASKFMT,name,mnumbr,shorttime);
   strcpy(strg,mkpath(MEM_OUT,fromwho));
   }
 strg2[40] = ' ';
#ifdef DEBUG
  puts("updbask: about to lock file");
  fflush(stdout);
#endif
   /*** CRITICAL ***/
     if (lock(strg)) {
        cantlock(strg);
        return;
        }
     if (access(strg,0))
        creat(strg,0666);  /* didn't exist, make it */
     f1 = open(strg,2);
#ifdef UTS
     seek(f1,0,2);
#else
     lseek(f1,0,2);
#endif
     write(f1,strg2,41);
     write(f1,sbj,30); write(f1,"\n",1);
     close(f1);
     unlock(strg);
   /*** END CRITICAL ***/
}
