/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#if 0
#ifdef BSD4
#include <sys/inode.h>
#else
#ifdef LINUX
#include <linux/fs.h>
#else
#include <sys/ino.h>
#endif
#endif
#endif

#include <sys/stat.h>

n_msgs(cn,tn)  /* return n of msgs in topic tn in conf cn */
char *cn, *tn;
{
   char dname[80];
   struct stat stbuf;
/*   struct dinode ibuf; */
   struct cnode *cfind();

#ifdef OLDPATHS
      strcpy(dname,"c/");
      if (isdigit(cn[0])) {    /* numeric (conversations) are split out */
         strncat(dname,cn,1);
         strcat(dname,"/");
         }
      strcat(dname,cn);
      strcat(dname,"/");
      strcat(dname,tn);
      strcat(dname,"/Dir");
#else
      strcpy(dname,mkpath(DIR,cn,tn));
#endif
      if (stat(dname, &stbuf) == -1)
         return(0);
      return(stbuf.st_size / P_SIZE);
}
/*
*/

char *tymestamp()
{
  long tyme, time();
  char *ctime();

  tyme = time(0);
  /* NB in Unity & Bsd, form is 'ctime(&tyme)'.  in UTS, just 'ctime(tyme)' */
#ifdef UTS
  return (ctime(tyme));
#else
  return (ctime(&tyme));
#endif
}

#if 0
istat(fd,ino,buf)   /* get info for inode # ino */
/* fd is fildes of root device for filesystem */
ino_t ino;
struct dinode *buf;
{
     off_t in_off;
     off_t blkno;

     ino-- ; /* zero index it */
     blkno = (off_t) 2+((ino)>>3);
     in_off = (off_t) (blkno<<9) + (((ino-((ino>>3)<<3)))<<6);
     lseek(fd,in_off,0);
     read(fd,buf,sizeof(*buf));
}
#endif
