/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#include <utmp.h>
#ifdef UTS
#include <stdioerr.h>
#endif

chat(nm)   /* emulate unix 'write' command */
char *nm;
{
#ifndef UTS
   puts("Sorry, chat function not available");
   /* system V error handling not found yet */
   /* for that matter, neither is Berkely   */
   /* -- A.M., Feb 23 85 */
#else
   _INTFUNC onerror();
   struct utmp ut;
   char *utfn = "/etc/utmp";
   FILE *fp, *fopen();
   int cont = YES;
   char ttyname[30];
   char who[NMSIZE], word[NMSIZE];

   * ttyname = 0;
   onerror(EWRTCNT,EIGNORE);
   strcpy(who,nm);
   if (who[0] == '\0') 
      scan(who);
   while (who[0] == '\0') {
      getlin(0,"Chat to whom?");
      scan(who);
      }
   /* first, see if on */
   if ((fp = fopen(utfn,"r")) == NULL) {
      printf("Sorry, CHAT unavailable.\n");
      return;
      }
   while (fread(&ut, sizeof(ut), 1, fp) > 0) {
      if (strlen(ut.ut_name) > 0 && strcmp(ut.ut_name,who) == 0) {
         strcpy(ttyname,"/dev/");
         strcat(ttyname,ut.ut_line);
printf("'%s' is on '%s'\n",who,ttyname);
         break;
         }
      }
   fclose(fp);
   if (strlen(ttyname) == 0) {
      printf("'%s' not currently on.\n",who);
      return;
      }
/*** see if he's receiving ***/
   if (access(ttyname,2) != 0) {
      printf("'%s' not currently receiving messages.\n",who);
      return;
      }
/*** send a message and start the conversation ***/
   if ((fp = fopen(ttyname,"w")) == NULL) {
      printf("chat: unable to send message\n");
      return;
      }
   if (fprintf(fp,"\007CHAT message from '%s':\n",username) >= 0)
   fflush(fp);
   while (cont) {
      getlin(0,"chat:");
      scan(word);
      if (QUIT_K == lookup(word,ALL_SS)) {
         cont = NO;
         fprintf(fp,"CHAT MSG ENDS \007");
         fclose(fp);
         break;
         }
      else
         if (fprintf(fp,"<%s> %s\n",username,line.txt) < 0) {
            onerror(EWRTCNT,EIGNORE);
            printf("chat: no longer able to send to '%s'\n",who);
            if (fp != NULL)
               if (fclose(fp)) ;
            return;
            }
         fflush(fp);
   }
#endif
}
