/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
search(tgt)    /* search topic for messages containing tgt */
char *tgt;
{
   char targ[100];
   char targ2[100];
   char cmnd[200];
    char *mkpath();
    int firstchar;
   FILE *fp, *popen();

   if (*tgt == '\0') {
      strcpy(targ,&line.txt[line.ptr]);
      flush();
      }
   else
      strcpy(targ,tgt);
   if (confnode == NULL) {
     puts(mesg("Not joined@to any conference"));
     return(-1);
     }
   if (topicnode == NULL) join_topic("");
   if (topicnode == NULL) return(-1);
   if (strlen(targ)==0) {
     getlin(0,"Search for:");
     strcpy(targ,&line.txt[line.ptr]);
     line.ptr = line.siz+1;  /* make sure eoln gets set */
     flush();
     }
   if (strlen(targ)==0) return;
   firstchar = 0;
   while (targ[firstchar] == ' ') firstchar++;
   /* escape any quotes in target string to solve security problem */
   {  char *s, *t;

      s = & targ[firstchar]; t = targ2;
      if (*s == '"' || *s == '\\') *t++ = '\\';
      while (*t++ = *s++)
        if (*s == '"' || *s == '\\') *t++ = '\\';
      }
tout(fmt("searching for '%s'\n", &targ[firstchar]));
fflush(stdout);
   sprintf(cmnd,"srch1 \"%s\" %s | srch2 ", targ2, 
         mkpath(TXT,confname,topicname));
   strcat(cmnd,mkpath(DIR,confname,topicname));
   if ((fp = popen(cmnd,"r")) != NULL) {
      textcopy(fp,Out,MAXINT);
      pclose(fp);
      }
   else
     tout("Unable to initiate search.\n");
}
