/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
textcopy(fi,fo,n) /* copy n chars from file fi to fo */
FILE *fi, *fo;
long n;
{
   register int c;
   register int w = 0;   /* width counter */
   register long k;
   int pdi = 0;          /* flag for NAPLPS pdi's */
#define SO '\016'
#define SI '\017'

   k=0;
   if (PageLen == 0) LineCnt = -1;  /* else equality test below screws things */
   if (isatty(fileno(fo))) {         /* only filter, etc. to ttys */
     if (ColCnt==0 && !Naplps)
         if (LineCnt >= PageLen) {
            if (more_prompt() == NO) return(-1);  /* to stop read loops */
            }
      while ((c = getc(fi)) !=  EOF && ++k <= n) {
         if (!Naplps) {
            if (c==SO)
               pdi = YES;
            else if (c==SI) {
               pdi = NO;
               c = ' ';
               }
            }
         if (!pdi) {
         if (Filter &&  c && iscntrl(c) && c!='\n' && c!='\t') {
            if (w >= (LinWidth - 1)) {
               putc('\n',fo);
               w = 0;
               if (PageLen > 0) LineCnt++;
         if (LineCnt >= PageLen) {
            if (more_prompt() == NO) return(-1);  /* to stop read loops */
            }
               }
            putc('^', fo);
            w++;
            putc((char) c | 0100, fo);
            w++;
            }
         else {
            if (w >= LinWidth && c != '\n') {
               putc('\n',fo);
               if (PageLen >0) LineCnt++;
               if (LineCnt >= PageLen) {
                  if (more_prompt() == NO) return(-1);  /* to stop read loops */
                  }
               putc(c, fo);
               w = 1;
               }
            else {
            putc(c, fo);
            w++;
            }
            }
         if (c == '\n') {
            w = 0;
            if (PageLen > 0) LineCnt++;
            if (LineCnt >= PageLen) {
               if (more_prompt() == NO) return(-1);  /* to stop read loops */
               }
            }
        } /* endif pdi */
        } /* end while */
    }
   else
      while ((c = getc(fi)) != EOF && ++k <= n) 
         putc(c, fo);
   return(0);
}
copyln(fi,fo)  /* copy 1 line from file fi to fo */
FILE *fi, *fo;
{
   register int c;

    while ((c = getc(fi)) != '\n')
       putc(c,fo);
       if (PageLen > 0) LineCnt++ ;
    putc('\n',fo);
    if (LineCnt > PageLen)
       return(more_prompt() == NO);
    else
       return(0);
}
