/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
lst_hdr(argv)   /* list conf_header -- return 1 if not found */
char argv[];
{
   FILE *fp, *fopen();
   long clock;
   char *ct, *ctime();
   char name[50];
   char c;
   int lstnam = NO;

#if (DEBUG>1)
 printf(" in LST_HDR, fname= %s\n",argv);
#endif
   if ((fp = fopen(argv, "r")) == NULL)
      return(1); /* can't open */
      else
      {
      tout("Moderator(s) \t");
      while ((c=getc(fp)) == ' ');   /* skip leading blanks */
      ungetc(c,fp);
      while (fscanf(fp,"%14[^ \n]%*[ ]",name) > 0) {
        if (lstnam)
           tout(", ");
        else
           lstnam = YES;
        tout(name);
        }
      tout(".\n");
      fscanf(fp,"%ld",&clock);
#ifdef UTS
      ct = ctime( clock );
#else
      ct = ctime( &clock );
#endif
      tout(fmt("Created:       %s",ct));
      tout(mesg("--------------------------------\n"));
      while ((getc(fp)) != '\n')
         ;
      filecopy(fp,Out);
      fclose(fp);
      return(0);
      }
}
