/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#include "mkpath.h"
#define ABORT_K -13
#define ECHO_OFF ""
#define ECHO_RSTR ""
#include <signal.h>
#include "defs3.h"
#include "extern.h"
 char *mesg();           /* for picky compilers */
#include "start/startup.c"
#ifndef BIX
#include "start/adduser.c"
#else
#include "start/rereg.c"
#include "start/extaddusr.c"
#endif
#include "edit/vorq.c"
#include "start/initkw.c"
#include "edit/editer.c"
#include "sysmgr/sysrtns.c"
#include "start/alloc.c"
#include "start/rptstats.c"
