/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
char *add_user(uname)  /* register new user 'name' */
char *uname;
   {
    char strg[80]; char *mkpath();
   FILE *fp, *fdp, *fopen();
   static char nkname[NMSIZE];
   char fnam[NMSIZE],lnam[NMSIZE];

   strcpy(lnam,"");
   while (strlen(lnam)==0) {
      printf("Please enter your first and last names");
      getlin(0,":");
      scan(fnam);
      scan(lnam);
      }
   if (strlen(lnam)==1) {
      getlin(0,mesg("Please re-enter your last name:"));
      scan(lnam);
      }
   nkname[0]=fnam[0]; nkname[1]='\0';
   strcat(nkname,lnam);
   /* truncate nickname to 8 chars, for now */   nkname[8] = '\0';
   printf(mesg("Your nickname will be '%s'. "),nkname);
   if ( ! yorn(mesg("Is this acceptable"),' ')) {
      printf(mesg("Desired nickname? "));
      scanf("%s",nkname);
      }
   makelower(nkname);
   while ((QUIT_K != lookup(nkname,MOD_SS)) && (
          (strlen(nkname) > 8) ||   /* for now */
       inuse(nkname))) {
      printf(mesg("Sorry, you cannot use '%s'.\n"),nkname);
      if (strlen(nkname) > 8)
         puts("Nicknames are (currently) restricted to 8 or fewer characters.");
      printf(mesg("Enter another nickname (or 'quit'): "));
      scanf("%s",nkname);
      makelower(nkname);
      }
   if (StrCmp(nkname,"quit")==0) {
      puts("Quitting.");
      exit(0);
      }
   StrCpy("mkdir ",strg);
   StrCat(mkpath(UNODE,nkname),strg);
   if ((fp = fopen(mkpath(ULIST),"a")) == NULL) {
      puts(mesg("Unable to register."));
      exit(0);
      }
   system(strg);   /* "mkdir <nkname>" */
   fnam[0]=toupper(fnam[0]);
   lnam[0]=toupper(lnam[0]);
   fprintf(fp,"%s\t%s %s\n",nkname,fnam,lnam);
   fclose(fp);
   if ((fp = fopen(mkpath(RES,nkname),"w")) != NULL) {
      fprintf(fp,"%s\t%s %s\n",nkname,fnam,lnam);
   /****** now force some extra stuf in Resume (2.4, 4/4/84) ***/
    printf("Please enter some additional info for registration:\n");
    flush();
    printf("Your affiliation (or department)"); getlin(0,":");
    fprintf(fp,"   %s\n",line.txt);
    getlin(0,"Address (line 1 of 3):");
    fprintf(fp,"   %s\n",line.txt);
    getlin(0,"Address (line 2 of 3):");
    fprintf(fp,"   %s\n",line.txt);
    getlin(0,"Address (line 3 of 3):");
    fprintf(fp,"   %s\n",line.txt);
    getlin(0,"Phone number:");
    fprintf(fp,"Phone: %s\n",line.txt);
    printf("Thank you.\n");
  /***/
      fclose(fp);  /* minimum resume is 1 line, for prints */
      }
    printf("Please choose a password (that you'll remember!).\n");
    flush();
    strcpy(username,nkname);  /* ch_pass expects username global */
    Privilege = 0;      /* for ch_pass */
    ch_pass(1);
   if ((fp = fopen(mkpath(PROF,nkname),"w")) != NULL) {
      if ((fdp = fopen(NU_PROFYL,"r")) != NULL) {
         /* copy profile template to user profile */
         filecopy(fdp,fp);
         fclose(fdp);
         }
      fclose(fp);
      }
 printf(mesg("You are now registered as '%s'. Use that name to sign on.\n"),
          nkname);
 printf("For now you have 'read only' privilege.  Write privileges are\n");
 printf("granted automatically when your registration is accepted.\n");
   return(nkname);
   }

makelower(s)      /* convert s to lowercase */
char *s;

{  while (*s != '\0') {
      if (isupper(*s)) *s = tolower(*s);
      *s++;
      }
}

inuse(s)    /* check if name s is in use */
char *s;
{
  long filesize();
  char *mkpath();

   if (filesize(mkpath(UNODE,s)) != -1)
      return(YES);
   else
      return(NO);
}
