/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, University of Guelph       *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
logger(st)       /* append string st to log file, with notation */
char *st;
{
#ifdef NOLOG
 /* dummy */
#else

  FILE *fp, *fopen();
  long tym, time();
  char *ttyname();

  lock(".Logs");
  if ((fp=fopen(".Logs","a"))==NULL) {
     unlock(".Logs");
     return(-1);
     }
  tym=time(0);
  fprintf(fp,"%8X %s %s\t%s\n",tym,(ttyname(0)+5),username,st);
  fclose(fp);
  unlock(".Logs");
  return(0);
#endif
}
