/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
rpt_stats()   /* report number of mail, conversations, confs, etc. */
{
      int nm, ncv, ncf;
      char fin[30];
      struct cnode *p;

      strcpy(fin,mkpath(MEM_IN,username,""));
      nm = filesize(fin) / BSKSIZ;
      for (ncv = 0, p = Mt->ct_first; p != NULL; ncv++, p=p->c_next);
      for (ncf = 0, p = Ct->ct_first; p != NULL; ncf++, p=p->c_next);
 
      fprintf(Out,"You have %d mail message(s) in your in-basket,\n",nm);
      fprintf(Out,"You are a member of %d conference(s) \n",ncf);
      if (ncv)  /* only if >0 convs */
         fprintf(Out,"                and %d conversation(s).\n",ncv);
      if (Conf_err) { /* whoops! */
	fprintf(Out,"\007              * *  WARNING  * * \n");
	fprintf(Out,"Inconsistencies were detected when loading your\n");
	fprintf(Out,"conference pointers.  Use 'show' to check the\n");
	fprintf(Out,"correctness of the error recovery.  You may need\n");
	fprintf(Out,"to rejoin a conference or topic.\n");
	fprintf(Out,"                 *     *     *\n");
	fflush(Out);
	sleep(5);
	}
      fflush(Out);
      sleep(1);
}
