/**************************************************************************
*    CoSy conferencing system, written by Alastair Mayer
*    
*    Copyright (C) 1984 University of Guelph
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
***************************************************************************/

/*******************************************************
* COSY(tm) Computer-Based Conferencing System          *
* Copyright (C) 1983, 1984, 1985, University of Guelph *
* Written by: Alastair J.W. Mayer                      *
*******************************************************/
#ifndef DEFS3_H
#include "defs3.h"
#endif

del_usr(nm)   /* delete user 'nm' */
char *nm;
{
     char cmd[40];

     if ((strlen(nm) < 2) || (!ishere(nm)) ) {
        printf("Bad or nonexistent name '%s', ignored\n",nm);
        return;
        }
     logger("DEL_USER",nm);
     d_uconf(mkpath(CONF,nm,""),nm);
     d_uconf(mkpath(NUCONF,nm,""),nm);
     filter(mkpath(ULIST,"",""),nm);  /* rmv from userlist */
     sprintf(cmd,"rm -r %s ",mkpath(UNODE,nm,""));
     system(cmd);
     printf(mesg("User '%s' deleted.\n"),nm);
}

d_uconf(fn,nm)  /* remove user 'nm' from confs in list 'fn' */
char *fn, *nm;
{
     FILE *fp, *fopen();
     char cn[NMSIZE];
     int i,j;

     if ((fp = fopen(fn,"r")) != NULL) {
	while (fscanf(fp,"%d%s",&i,cn) != EOF) {
           if (is_mod(nm,cn)==0)
		printf("was mod of '%s'\n",cn);
	   filter(mkpath(MEMBR,cn,""),nm);
	   for (;i>0;i--) fscanf(fp,"%s%d",cn,&j); /* ign topics */
	   }
	fclose(fp);
	}
}
